#pragma once

#include "CoreMinimal.h"
#include "KillerAbilityData.h"
#include "DreamPalletAbilityData.generated.h"

UCLASS(Blueprintable)
class THENIGHTMARE_API UDreamPalletAbilityData : public UKillerAbilityData
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _maxTargetingDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _explosionDelay;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _explosionRadius;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _explosionHalfHeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _palletMeshCenterOffset;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _sleepinessAddedByExplosion;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _chargeTime;

public:
	UFUNCTION(BlueprintPure)
	float GetExplosionRadius() const;

public:
	UDreamPalletAbilityData();
};

FORCEINLINE uint32 GetTypeHash(const UDreamPalletAbilityData) { return 0; }
